package details

import RecipeDetailsLarge
import RecipeDetailsSmall
import androidx.compose.animation.AnimatedContentScope
import androidx.compose.animation.ExperimentalSharedTransitionApi
import androidx.compose.animation.SharedTransitionScope
import androidx.compose.runtime.Composable
import model.Recipe
import sensor.SensorManager

/**
 * Created by abdulbasit on 29/07/2023.
 */

@OptIn(ExperimentalSharedTransitionApi::class)
@Composable
fun RecipeDetails(
    recipe: Recipe,
    goBack: () -> Unit,
    sensorManager: SensorManager?,
    isLarge: Boolean,
    isWebApp: Boolean,
) {
    if (isLarge) RecipeDetailsLarge(
        recipe = recipe,
        goBack = goBack,
        sensorManager = sensorManager,
    )
    else RecipeDetailsSmall(
        recipe = recipe,
        goBack = goBack,
        sensorManager = sensorManager,
        isWebApp = isWebApp,
    )
}