package model.Asia

import model.Recipe
import model.TagType
import recipeappkmp.shared.generated.resources.Res
import recipeappkmp.shared.generated.resources.teriyaki
import kotlin.time.Duration

val japaneseList = listOf(
    Recipe(
        title = "Teriyaki",
        description = "Protein grilled with a glaze of Soy Sauce, Mirin, and Sugar.",
        ingredients = listOf(
            "2 lbs Protein of Choice, cut to size",
            "3.5 Tbsp Mirin",
            "3.5 Tbsp Soy Sauce",
            "1.5 Tsp Kecap Manis",
            "2 Tbsp Brown Sugar",
            "1 Tsp Ginger",
            "1.5 Tsp Sesame Oil",
            "1 Tbsp Cornstarch",
            "2 Tbsp Oil",
        ),
        instructions = listOf(
            "Mix All except Oil. Marinate Protein in sauce for 2 hours.",
            "Heat Oil in a Wok. Transfer the Protein to the wok, reserving the Marinade.",
            "Sear undisturbed for 1-2 minutes, then stir fry for another",
            "Add the Marinade to the wok, reduce heat to medium, and simmer until sauce thickens and heats through.",
        ),
        tags = mapOf(
            "Japanese" to TagType.CUISINE,
            "Grilled" to TagType.TECHNIQUE,
            "Stir Fried" to TagType.TECHNIQUE,
            "Entree" to TagType.COURSE,
            "Savory" to TagType.FLAVOUR,
            "Vegan" to TagType.CUISINE,
        ),
        cookTime = Duration.parse("10m"),
        prepTime = Duration.parse("2h 15m"),
        servings = "Serves 4 people",
        image = Res.drawable.teriyaki
    )
)