package model.Europe

import model.Recipe
import model.TagType
import recipeappkmp.shared.generated.resources.Res
import recipeappkmp.shared.generated.resources._10_strawberries
import kotlin.time.Duration

val greekList = listOf(
    Recipe(
        title = "Perfect Street Gyros",
        description = "Straight from a food truck, these gyros work with anything from falafal, tofu, shwarma, or our own Balsamic Glazed Chicken. Try it with chips on the side, or inside! Perfect for a couple's date.",
        ingredients = listOf(

            "HEADER-Gyros",
            "2 Pieces of Pita Bread",
            "10-12 Ounces Protein of Choice",
            "3 Oz Arugula",
            "1 Plum Tomato, sliced",
            "Salt & Pepper to Taste",

            "HEADER-Tahini Sauce",
            "2 Oz Sour Cream",
            "2 Oz Tahini",
            "1 Lemon",
            "1 Tbsp Garlic, Minced",

            "HEADER-Pickled Shallots",
            "2 Shallots, sliced",
            "2 Tbsp Vinegar",
            "1 Tsp Sugar",
        ),
        instructions = listOf(
            "Toss Shallots in Vinegar and Sugar, Set Aside",
            "Cook Protein as needed.",
            "Mix Lemon Juice [2 Tbsp], Sour Cream [2 Oz], Tahini [2 Oz], and Garlic [1 Tbsp]. Add up to [1.5 Tbsp] of water as needed for consistency.",
            "Heat Pitas and Assemble"
        ),
        tags = mapOf(
            "Greek" to TagType.CUISINE,
            "Street Food" to TagType.TECHNIQUE,
            "Savory" to TagType.FLAVOUR,
            "Tangy" to TagType.FLAVOUR,
            "Entree" to TagType.COURSE,
            "Vegetarian" to TagType.CUISINE,
        ),
        servings = "Makes 2 Gyros",
        prepTime = Duration.parse("30m"),
        cookTime = Duration.parse("30m"),
        image = Res.drawable._10_strawberries
    ),

    Recipe(
        title = "Greek Balsamic Glazed Chicken",
        description = "Strips of Chicken Breast grilled with a rich and tangy balsamic glaze.",
        ingredients = listOf(
            "2 Chicken Breasts",
            ".25 Cup Olive Oil",
            ".25 Cup Golden Balsamic",
            ".125 Cup Garlic-Mustard",
            "1.5 Tbsp Balsamic Glaze",
            "3 Cloves Garlic, minced",
            "Juice of 1 Lemon",
            "1 Tbsp each Tarragon, Rosemary, Thyme, chopped",
            "2 Tsp Salt",
            ".5 Tsp Black Pepper"
        ),
        instructions = listOf(
            "Mix all ingredients together. Marinate for 4hs, up to overnight.",
            "Pull Chicken from Marinade and Grill"
        ),
        tags = mapOf(
            "Greek" to TagType.CUISINE,
            "Carnivorous" to TagType.CUISINE,
            "Grilled" to TagType.TECHNIQUE,
            "Tangy" to TagType.FLAVOUR,
            "Savory" to TagType.FLAVOUR,
        ),
        servings = "Serves 3 to 4",
        cookTime = Duration.parse("20m"),
        prepTime = Duration.parse("4h"),
        image = Res.drawable._10_strawberries
    )
)