package view

import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Box
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.Spacer
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.padding
import androidx.compose.material.MaterialTheme
import androidx.compose.material3.Button
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.text.style.TextAlign
import androidx.compose.ui.unit.dp

@Composable
fun HomeScreen(
    onGo: () -> Unit,
    onSurprise: () -> Unit,
    isLarge: Boolean,
    isWebApp: Boolean,
) {
    val text = "Recipes"
    HeaderText(text, onGo, onSurprise, isLarge, isWebApp)
}

@Composable
fun HeaderText(
    text: String,
    onGo: () -> Unit,
    onSurprise: () -> Unit,
    isLarge: Boolean,
    isWebApp: Boolean,
) {

    val header = if(isLarge)  MaterialTheme.typography.h1 else MaterialTheme.typography.h2
    val lowHead = if(isLarge) MaterialTheme.typography.h3 else MaterialTheme.typography.h4


    Box(
        modifier = Modifier
            .fillMaxSize()
    ) {
        Column(
            modifier = Modifier
                .fillMaxWidth()
                .padding(top = 10.dp)
                .align(Alignment.Center),
            horizontalAlignment = Alignment.CenterHorizontally,
            verticalArrangement = Arrangement.Center,
        ) {
            Spacer(modifier = Modifier.weight(1f))
            Text (
                text = "Baker's Menagerie",
                style = header,
                textAlign = TextAlign.Center
            )
           Text (
                text = "An Allbright Family Cookbook",
                style = lowHead,
                textAlign = TextAlign.Center
            )
            Spacer(modifier = Modifier.weight(1f))
           Button(
                modifier = Modifier.padding(12.dp),
                onClick = onGo
            ) {
                Text(text = text)
            }
            if(isWebApp)
            {
                Button(
                    modifier = Modifier.padding(12.dp),
                    onClick = onSurprise
                ){
                    Text("Surprise Me!")
                }
            }
        }
    }
}